Loading...
Searching...
No Matches
NagamochiIbaraki< GR, CM, TR >::SetHeap< H, CR > Struct Template Reference

## Detailed Description

template<typename GR, typename CM, typename TR>
template<class H, class CR = RangeMap<int>>
struct lemon::NagamochiIbaraki< GR, CM, TR >::SetHeap< H, CR >

Named parameter for setting heap and cross reference type. The heap has to maximize the priorities.

`#include <lemon/nagamochi_ibaraki.h>`

Inheritance diagram for NagamochiIbaraki< GR, CM, TR >::SetHeap< H, CR >:
[legend]

## Additional Inherited Members

Public Types inherited from NagamochiIbaraki< GR, CM, TR >
typedef Traits::Graph | Graph
| The type of the underlying graph.
typedef Traits::CapacityMap | CapacityMap
| The type of the capacity map.
typedef Traits::CapacityMap::Value | Value
| The value type of the capacity map.
typedef Traits::Heap | Heap
| The heap type used by the algorithm.
typedef Traits::HeapCrossRef | HeapCrossRef
| The cross reference type used for the heap.
Public Member Functions inherited from NagamochiIbaraki< GR, CM, TR >
| NagamochiIbaraki (const Graph &graph, const CapacityMap &capacity)
| Constructor.
| NagamochiIbaraki (const Graph &graph)
| Constructor.
| ~NagamochiIbaraki ()
| Destructor.
NagamochiIbaraki & | heap (Heap &hp, HeapCrossRef &cr)
| Sets the heap and the cross reference used by algorithm.
void | init ()
| Initializes the internal data structures.
bool | processNextPhase ()
| Processes the next phase.
void | start ()
| Executes the algorithm.
void | run ()
| Runs NagamochiIbaraki algorithm.
Value | minCutValue () const
| Returns the min cut value.
template<typename CutMap>
Value | minCutMap (CutMap &cutMap) const
| Returns a min cut in a NodeMap.